Blob Storage Admin
GET/admin/blobs
Authorization
bearer_token In: header
Query Parameters
Conditions as filter[][]=. Conditions on different fields all apply. in (any of) and all (every one of, on fields holding several values) take a comma-separated list (\, for a literal comma). exists takes true or false. Datetimes are RFC 3339, now, or a time before now such as -30m, -6h or -7d.
Rows per page, 1 to 100 (default 25).
1 <= value <= 100The page.next_cursor of the previous page. Cannot be combined with page.
Response Body
application/json
curl -X GET "https://example.com/admin/blobs"{ "blobs": [ { "content_type": "string", "expires_at": 0, "last_modified": 0, "path": "string", "size": 0 } ], "page": { "has_more": true, "next_cursor": "string", "page": 0, "total": 0 }}GET/admin/blobs/quotas
Authorization
bearer_token In: header
Query Parameters
Conditions as filter[][]=. Conditions on different fields all apply. in (any of) and all (every one of, on fields holding several values) take a comma-separated list (\, for a literal comma). exists takes true or false. Datetimes are RFC 3339, now, or a time before now such as -30m, -6h or -7d.
Comma-separated sort keys, - for descending, at most 1. Keys: created_at. Default: -created_at.
Rows per page, 1 to 100 (default 25).
1 <= value <= 100The page.next_cursor of the previous page. Cannot be combined with page.
A 1-based page number, for jumping. Cannot be combined with cursor.
1 <= valueSet to true to include the number of matching rows in page.total.
Response Body
application/json
curl -X GET "https://example.com/admin/blobs/quotas"{ "page": { "has_more": true, "next_cursor": "string", "page": 0, "total": 0 }, "quotas": [ { "created_at": 0, "max_bytes": 0, "max_files": 0, "notes": "string", "unlimited": true, "updated_at": 0, "user_id": "string" } ]}POST/admin/blobs/quotas
Authorization
bearer_token In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Request to set or update a user's storage quota (admin only)
Response Body
application/json
curl -X POST "https://example.com/admin/blobs/quotas" \ -H "Content-Type: application/json" \ -d '{ "user_id": "string" }'{ "created_at": 0, "max_bytes": 0, "max_files": 0, "notes": "string", "unlimited": true, "updated_at": 0, "user_id": "string"}GET/admin/blobs/quotas/{user_id}
Authorization
bearer_token In: header
Path Parameters
User ID to get quota for
Response Body
application/json
curl -X GET "https://example.com/admin/blobs/quotas/string"{ "created_at": 0, "max_bytes": 0, "max_files": 0, "notes": "string", "unlimited": true, "updated_at": 0, "user_id": "string"}DELETE/admin/blobs/quotas/{user_id}
Authorization
bearer_token In: header
Path Parameters
User ID to delete quota for
Response Body
curl -X DELETE "https://example.com/admin/blobs/quotas/string"GET/admin/blobs/stats
curl -X GET "https://example.com/admin/blobs/stats"{ "default_max_bytes": 0, "default_max_files": 0, "total_file_count": 0, "total_size_bytes": 0, "user_count": 0, "users_with_quotas": 0}GET/admin/blobs/users/{user_id}
Authorization
bearer_token In: header
Path Parameters
User ID to get storage details for
Response Body
application/json
curl -X GET "https://example.com/admin/blobs/users/string"{ "quota": null, "usage": { "file_count": 0, "quota_max_bytes": 0, "quota_max_files": 0, "total_size_bytes": 0, "usage_percent": 0 }, "user_id": "string"}